gitops:

  # Manifest projects are watched by the agent. Whenever a project changes,
  # GitLab deploys the changes using the agent.
  manifest_projects:

  - id: pkng-demos-bar/my-k8s/mygitops/trustful-voting-app/iacs/deployment-k8s
    ref: # either `branch`, `tag` or `commit` can be specified
      branch: staging
    # Namespace to use if not set explicitly in object manifest.
    # Also used for inventory ConfigMap objects.
    default_namespace: trustful-voting-app-staging
    # Paths inside of the repository to scan for manifest files.
    # Directories with names starting with a dot are ignored.
    paths:
    - glob: 'manifests/staging/*.{yaml,yml,json}'
    # Inventory policy defines if an inventory object can take over
    # objects that belong to another inventory object or don't
    # belong to any inventory object.
    # This is done by determining if the apply/prune operation
    # can go through for a resource based on the comparison
    # the inventory-id value in the package and the owning-inventory
    # annotation (config.k8s.io/owning-inventory) in the live object.
    # https://github.com/kubernetes-sigs/cli-utils/blob/d6968048dcd80b1c7b55d9e4f31fc25f71c9b490/pkg/inventory/policy.go#L12-L66
    # Can be: must_match, adopt_if_no_inventory, adopt_all
    inventory_policy: adopt_all # 'must_match' by default
    
  - id: pkng-demos-bar/my-k8s/mygitops/awesome-co/services/infraoperations
    ref:
      branch: staging
    default_namespace: awesome-app-staging
    paths:
    - glob: 'manifests/staging/*.{yaml,yml,json}'
    inventory_policy: adopt_all # 'must_match' by default

user_access:
  access_as:
    agent: {}
  projects:
    - id: pkng-demos-bar/my-k8s/mygitops/cluster-management-2

ci_access:
  groups:
  - id: pkng-demos-bar/my-k8s/mygitops
     
observability:
  logging:
    level: debug